Name:		puppet-eosclient
Version:	0.4
Release:	3%{?dist}
Summary:	Puppet module for configuring eos file system

Group:		CERN/Utilities
License:	BSD
URL:		http://linux.cern.ch
Source0:	%{name}-%{version}.tar.gz

BuildArch:  noarch

Requires:   puppet
Requires:   puppet-stdlib
Requires:   puppet-inifile

%description
Puppet module for configuring eos file system.

%prep
%setup -q -c


%build
CFLAGS="%{optflags}"


%install
rm -rf %{buildroot}
install -d %{buildroot}/%{_datadir}/puppet/modules/eosclient
install -d %{buildroot}/etc/puppet/hieradata/module_names/eosclient

cp -ra code/* %{buildroot}/%{_datadir}/puppet/modules/eosclient/

cp  data/eosclient.yaml %{buildroot}/etc/puppet/hieradata/module_names/eosclient/eosclient.yaml

%files -n puppet-eosclient
%dir /etc/puppet/hieradata/module_names/eosclient
/etc/puppet/hieradata/module_names/eosclient/eosclient.yaml
%dir %{_datadir}/puppet/modules/eosclient
%dir %{_datadir}/puppet/modules/eosclient/files
%dir %{_datadir}/puppet/modules/eosclient/templates
%dir %{_datadir}/puppet/modules/eosclient/manifests
%dir %{_datadir}/puppet/modules/eosclient/manifests/fuse
%{_datadir}/puppet/modules/eosclient/README.md
%{_datadir}/puppet/modules/eosclient/files/eos-fusebind.sh
%{_datadir}/puppet/modules/eosclient/files/eos-select.csh
%{_datadir}/puppet/modules/eosclient/files/eos-select.sh
%{_datadir}/puppet/modules/eosclient/files/eos-cleanup.sh
%{_datadir}/puppet/modules/eosclient/manifests/autofs.pp
%{_datadir}/puppet/modules/eosclient/manifests/fuse.pp
%{_datadir}/puppet/modules/eosclient/manifests/fuse/interactive.pp
%{_datadir}/puppet/modules/eosclient/manifests/init.pp
%{_datadir}/puppet/modules/eosclient/manifests/mount.pp
%{_datadir}/puppet/modules/eosclient/templates/auto.eos.erb
%{_datadir}/puppet/modules/eosclient/templates/sysconfig_eos.erb
%{_datadir}/puppet/modules/eosclient/templates/sysconfig_eos_instance.erb
%{_datadir}/puppet/modules/eosclient/spec/classes/init_spec.rb
%{_datadir}/puppet/modules/eosclient/spec/hiera.yaml
%{_datadir}/puppet/modules/eosclient/spec/spec_helper.rb

%doc code/README.md


%changelog
* Tue Mar 07 2017 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.4-3
- Rebase on it-puppet-module-eosclient commit #6248ee10
- Add additional mounts point based on it-puppet-module-bagplus
- Cleanup some instance config

* Fri Dec 09 2016 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.3-2
- Rebase on it-puppet-module-eosclient commit #2b67c9d6

* Fri Dec 09 2016 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.3-1
- Rebase on it-puppet-module-eosclient commit efdddc6a

* Tue Nov 29 2016 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.2-1
- Rebuild for 7.3 release

* Tue Jul 5 2016 Aris Boutselis <aris.boutselis@cern.ch>
-Initial release
